Subject: Re: bug#49632: [PATCH] Ensure that M-x gdb populates gud-repeat-map

From: Brian Leung <[email-masked]>
Date: Sun, 25 Jul 2021 23:28:24 +0200 (CEST)

> There is one thing that I don't understand: is the
> helper function gud-set-repeat-map-property really needed?
> 
> If e.g. the defvar gud-gdb-repeat-map uses such symbols as 'gud-next',
> could it put the 'repeat-map' property on the same symbols
> with reference to the variable 'map' directly in these defvars?
> Then only defvars will be needed, and no changes in gud-gdb, gdb.

If we assign the repeat-map property within the defvars and avoid doing so in the M-x gdb commands, then after gud.el gets loaded, the repeat-map property on (say) gud-next will be 'jdb, since jdb-repeat-map is the last such foo-repeat-map defvar appearing in gud.el. In that case, calling M-x perldb and then running gud-next when repeat-mode is on will bring up the jdb-repeat-map, which contains some commands that aren't defined for perldb. So I think the gud-set-repeat-map-property macro (or something like it) is necessary.

> ----------------------------------------
> From: Juri Linkov <[email-masked]>
> Sent: Sun Jul 25 22:53:31 CEST 2021
> To: Lars Ingebrigtsen <[email-masked]>
> Cc: Brian Leung <[email-masked]>, <[email-masked]>
> Subject: Re: bug#49632: [PATCH] Ensure that M-x gdb populates gud-repeat-map
> 
> 
> >> OK, I've updated the patch following Juri's suggestions.
> >
> > Skimming the patch, it looks good to me.  Juri, do you have any
> > comments?
> 
> There is one thing that I don't understand: is the
> helper function gud-set-repeat-map-property really needed?
> 
> If e.g. the defvar gud-gdb-repeat-map uses such symbols as 'gud-next',
> could it put the 'repeat-map' property on the same symbols
> with reference to the variable 'map' directly in these defvars?
> Then only defvars will be needed, and no changes in gud-gdb, gdb.

-- 
Sent with https://mailfence.com
Secure and private email

-- 
Mailfence.com
Private and secure email